commit 9d049fb48de4e3b1bfd85c1abdc898a0295a7c94
Author: Klaus Aehlig <aehlig@google.com>
Date:   Thu Nov 21 16:28:08 2013 +0100

    Rename LuxiSocket to MasterSocket
    
    Rename the constants to name the socket to connect masterd,
    as the name LuxiSocket hints on luxid, which is different
    from masterd.
    
    Signed-off-by: Klaus Aehlig <aehlig@google.com>
    Reviewed-by: Petr Pudlak <pudlak@google.com>

diff --git a/src/Ganeti/HTools/CLI.hs b/src/Ganeti/HTools/CLI.hs
index 515c023..2b33f21 100644
--- a/src/Ganeti/HTools/CLI.hs
+++ b/src/Ganeti/HTools/CLI.hs
@@ -443,7 +443,7 @@ genOLuxiSocket defSocket =
    OptComplFile)
 
 oLuxiSocket :: IO OptType
-oLuxiSocket = liftM genOLuxiSocket Path.defaultLuxiSocket
+oLuxiSocket = liftM genOLuxiSocket Path.defaultMasterSocket
 
 oMachineReadable :: OptType
 oMachineReadable =
diff --git a/src/Ganeti/HTools/Program/Harep.hs b/src/Ganeti/HTools/Program/Harep.hs
index 94fb781..5fdce8e 100644
--- a/src/Ganeti/HTools/Program/Harep.hs
+++ b/src/Ganeti/HTools/Program/Harep.hs
@@ -453,7 +453,7 @@ main opts args = do
   unless (null args) $
     exitErr "this program doesn't take any arguments."
 
-  luxiDef <- Path.defaultLuxiSocket
+  luxiDef <- Path.defaultMasterSocket
   let master = fromMaybe luxiDef $ optLuxi opts
       opts' = opts { optLuxi = Just master }
 
diff --git a/src/Ganeti/HTools/Program/Hscan.hs b/src/Ganeti/HTools/Program/Hscan.hs
index ddc811a..f40900f 100644
--- a/src/Ganeti/HTools/Program/Hscan.hs
+++ b/src/Ganeti/HTools/Program/Hscan.hs
@@ -150,7 +150,7 @@ main opts clusters = do
                 "t_disk" "f_disk" "Score"
 
   when (null clusters) $ do
-         def_socket <- Path.defaultLuxiSocket
+         def_socket <- Path.defaultMasterSocket
          let lsock = fromMaybe def_socket (optLuxi opts)
          let name = local
          input_data <- Luxi.loadData lsock
diff --git a/src/Ganeti/Path.hs b/src/Ganeti/Path.hs
index 9cbc7ee..76a8ea1 100644
--- a/src/Ganeti/Path.hs
+++ b/src/Ganeti/Path.hs
@@ -28,7 +28,7 @@ module Ganeti.Path
   , runDir
   , logDir
   , socketDir
-  , defaultLuxiSocket
+  , defaultMasterSocket
   , defaultQuerySocket
   , confdHmacKey
   , clusterConfFile
@@ -84,9 +84,9 @@ logDir = addNodePrefix $ AutoConf.localstatedir </> "log" </> "ganeti"
 socketDir :: IO FilePath
 socketDir = runDir `pjoin` "socket"
 
--- | The default LUXI socket path.
-defaultLuxiSocket :: IO FilePath
-defaultLuxiSocket = socketDir `pjoin` "ganeti-master"
+-- | The default path for the master-daemon LUXI socket.
+defaultMasterSocket :: IO FilePath
+defaultMasterSocket = socketDir `pjoin` "ganeti-master"
 
 -- | The default LUXI socket for queries.
 defaultQuerySocket :: IO FilePath
diff --git a/src/Ganeti/Query/Server.hs b/src/Ganeti/Query/Server.hs
index 9bbce2d..56c0ec0 100644
--- a/src/Ganeti/Query/Server.hs
+++ b/src/Ganeti/Query/Server.hs
@@ -57,7 +57,7 @@ import Ganeti.Logging
 import Ganeti.Luxi
 import qualified Ganeti.Query.Language as Qlang
 import qualified Ganeti.Query.Cluster as QCluster
-import Ganeti.Path (queueDir, jobQueueLockFile, defaultLuxiSocket)
+import Ganeti.Path (queueDir, jobQueueLockFile, defaultMasterSocket)
 import Ganeti.Query.Query
 import Ganeti.Query.Filter (makeSimpleFilter)
 import Ganeti.Types
@@ -210,7 +210,7 @@ handleCall qlock cfg (SubmitJobToDrainedQueue ops) =
         case write_result of
           Bad s -> return . Bad . GenericError $ s
           Ok () -> do
-            socketpath <- defaultLuxiSocket
+            socketpath <- defaultMasterSocket
             client <- getClient socketpath
             pickupResult <- callMethod (PickupJob jid) client
             closeClient client
@@ -244,7 +244,7 @@ handleCall qlock cfg (SubmitManyJobs lops) =
                 succeeded = map snd $ filter (isOk . fst) annotated_results
             when (any isBad write_results) . logWarning
               $ "Writing some jobs failed " ++ show annotated_results
-            socketpath <- defaultLuxiSocket
+            socketpath <- defaultMasterSocket
             client <- getClient socketpath
             pickupResults <- mapM (flip callMethod client . PickupJob)
                                succeeded
